# $Id: gtk-qt-engine.spec,v 1.4 2004/07/13 17:35:18 rexdieter Exp $

Summary: a project allowing GTK to use Qt widget styles.
Name: 	 gtk-qt-engine 
Group:	 User Interface/Desktops
Version: 0.41
Release: 0.fdr.4%{?dist_tag}.2
License: GPL
Source:  http://www.freedesktop.org/Software/gtk-qt/gtk-qt-engine-0.41.tar.bz2
URL:	 http://www.freedesktop.org/Software/gtk-qt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk2-devel >= 2.2
BuildRequires: qt-devel >= 1:3.1
# workaround for stock qt-devel's missing deps
BuildRequires: libpng-devel libmng-devel libjpeg-devel
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}
BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}

# workarounds for missing deps in stock qt-devel/kdelibs-devel
BuildRequires: libpng-devel libmng-devel libjpeg-devel

# 0.41 tarball runs autoheader for some reason -- Rex
BuildRequires: autoconf


%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles.

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself. 


%prep
%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags} QTDIR=$QTDIR


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

## Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/menu


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_datadir}/themes/Qt
%{_libdir}/gtk-2.0/*/engines/*
%{_libdir}/kde3/kcm_kcmgtk.[ls][ao]
%{_datadir}/applnk/Settings/LookNFeel/kcmgtk.desktop


%changelog 
* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.4
- workarounds for missing deps in stock qt-devel/kdelibs-devel
  BR: libmng-devel libjpeg-devel

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.3
- nuke /usr/lib/menu stuff

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.2
- BR: libpng-devel

* Mon Jul 12 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.1
- 0.41

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 0.3-0.fdr.0
- 0.3

